/**
 *
 */
package org.vcs.bazaar.eclipse.core.commands;

import java.io.File;

import org.vcs.bazaar.client.IBazaarClient;
import org.vcs.bazaar.client.commandline.commands.options.Option;
import org.vcs.bazaar.client.core.BazaarClientException;
import org.vcs.bazaar.eclipse.core.model.IBzrBranch;

/**
 * @author Guillermo Gonzalez <guillo.gonzo@gmail.com>
 *
 */
public class CheckoutCommand extends BranchCommand {

	private final Option[] options;

	public CheckoutCommand(final IBzrBranch sourceLocation, final File toLocation, Option...options) {
		super(sourceLocation, toLocation, null);
		this.options = options;
	}

	/**
	 * Run the command on the given client, within the context of a progress listener.
	 */
	@Override
	protected void runOnClient(IBazaarClient client, CommandProgressListener cpl) 
		throws BazaarClientException {
		client.checkout(getRemoteLocation(), getToLocation(), cpl, options);
	}

}
