package org.vcs.bazaar.eclipse.core.listeners;

import java.util.Collection;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.resources.IResourceChangeListener;
import org.eclipse.core.runtime.NullProgressMonitor;
import org.vcs.bazaar.eclipse.EclipseBazaarCore;
import org.vcs.bazaar.eclipse.internal.core.BazaarException;

public abstract class AbstractResourceChangeListener implements IResourceChangeListener {

	protected final void refreshResources(Collection<IResource> modifiedResources, int changeType) {
		NullProgressMonitor monitor = new NullProgressMonitor();
		try {
			EclipseBazaarCore.getDefault().getStatusCacheManager().scheduleRefresh(modifiedResources, monitor, changeType);
		} catch (BazaarException e) {
			EclipseBazaarCore.log(e.getStatus().getMessage(), e.getStatus().getSeverity());
		}
	}

	public AbstractResourceChangeListener() {
		super();
	}

}